Bug 169836 - use the URW "Standard Symbols L" for MathML
use the URW "Standard Symbols L" for MathML
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2005-10-04 06:05 EDT by Michael A. Peters
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-13 21:27:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael A. Peters 2005-10-04 06:05:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
On MathML sites, Firefox (and Mozilla) will complain that you don't have the font Symbols installed. Setting an alias in /etc/fonts/local.conf to a font with identical character map does not satisfy mozilla, it specifically wants Symbol.

On x86 this isn't as much of a problem, you can install the Acrobat Reader and it comes with a Symbol font that Mozilla/FireFox like. However, on PPC that is not an option, Acrobat Reader is not available for ppc.

Since the urw-fonts package contains a font that has the same glyphs, Firefox and Mozilla should be patched to have MathML look for that font instead of looking for Symbol.

Since it looks like there are a lot of firefox bugs that (at least from the summary) look more important, I'll see if I can figure out a patch and then attach it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start Firefox
2. Go to MathML Site

Actual Results:  Site loads and works, but Firefox complains that there is not a Symbol font found

Expected Results:  It should use "Standard Symbols L" which is installed as part of the urw-fonts package, installed on almost any Fedora system with FireFox, and installed in the xft font search path.

Additional info:

Creating an alias in /etc/fonts/local.conf does not work.
Comment 1 Warren Togami 2005-10-04 11:49:38 EDT
> Since it looks like there are a lot of firefox bugs that (at least from the
> summary) look more important, I'll see if I can figure out a patch and then
> attach it.

Great!  That is exactly the attitude that Fedora needs to succeed.  However
please try to discuss this with upstream, because in most cases we must use a
patch that upstream would find acceptable for inclusion in a future release.

You may also be interested in helping to find a solution to Bug #150393, because
all current and future builds of firefox/thunderbird have PANGO enabled by default.
Comment 2 Michael A. Peters 2005-10-13 21:27:53 EDT
Apparently there is a set of scientific fonts due to be released next year that
will be freely redistributable so the fonts mozilla wants now is just a stopgap
measure until then, which isn't very far away.


So this will be a complete non issue is less than a year (the font set is
roadmapped to be released in May 2006)

So a fix (for the the Symbol font issue anyway) isn't needed with a little patience.

Note You need to log in before you can comment on or make changes to this bug.